Code Red > AutoLISP (Vanilla / Visual)

Bringing up text window

(1/2) > >>

caddesk2000:
I am very new to AutoLISP.  This is a simple line I'm using to view values of different group codes.  Question:  What function can I use to bring up my text window so I can view an objects entire list instead of just what appears on the three lines of my command line?  I tried inserting (textscr) before closing and it brings up my text screen ok, but the program basically bombs, not showing me any of my information.  Does anyone have a suggestion?


(defun c:inf ()
(entget (car (entsel))
)
)

TIA,
Sam Cutbirth

Kerry:
From within VLisp :
(vl-cmdf "textscr")

at the command Line TEXTSCR

added :
or within ALisp (command "TEXTSCR")

T.Willey:
I think it is just
(textscr)
and that will pop up the text window and then
(graphscr)
to bring it back down.

Kerry:

Yes Tim, that too :-)   ... It was not seeing the woods for the trees situation..

This will display what you want ..

(defun c:inf (/ ent) (setq ent (entget (car (entsel)))) (textscr) ent)

Have a search .. MP has posted a version that formats the output so it is eminently readable ..

T.Willey:

--- Quote from: Kerry Brown on February 14, 2006, 11:25:24 AM ---Yes Tim, that too :-)   ... It was not seeing the woods for the trees situation..

--- End quote ---
I hate when that happens.

Here is an old one that I still use.

--- Code: ---(defun c:Elist()
(setq ent (entget(car(entsel"Select entity: "))))
(setq ct 0)
(textpage)
(princ "\nEntget of entity selected: ")
(repeat (length ent)
 (print (nth ct ent))
 (setq ct(1+ ct))
)
(princ)
)

--- End code ---

Navigation

[0] Message Index

[#] Next page

Go to full version